#include<iostream>
using namespace std;
int faktorijel(int n)
{
    if(n==4)
    return 1;
    else if(n==5)
    return 5;
    else if(n==6)
    return 15;
    else if(n==7)
    return 35;
    else if(n==8)
    return 70;
    else 
    return (n*(n-1)*(n-2)*(n-3))/24;
}
int main()
{
    int n;
    cin>>n;
    int a[n][2];
    for(int i=0;i<n;i++)
        cin>>a[i][0]>>a[i][1];
    cout<<faktorijel(n);
}